model Bediener1
  SystemDynamics.Reservoirs.Oven Maschine1(capacity = 4) annotation(Placement(visible = true, transformation(origin = {38.0386,75.1857}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  SystemDynamics.Flows.ConstantFlow Weg3 annotation(Placement(visible = true, transformation(origin = {65.0817,74.8886}, extent = {{-1.2,-1.2},{1.2,1.2}}, rotation = 0)));
  SystemDynamics.Reservoirs.Conveyor Band12(nDelay = 3) annotation(Placement(visible = true, transformation(origin = {98.0684,74.5914}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  annotation(experiment(StartTime = 0.0, StopTime = 25.0, Tolerance = 0.000001));
  SystemDynamics.Reservoirs.CloudSource cloudsource1 annotation(Placement(visible = true, transformation(origin = {-104.478,75.4909}, extent = {{-1.2,-1.2},{1.2,1.2}}, rotation = 0)));
  SystemDynamics.Flows.Flow Weg1 annotation(Placement(visible = true, transformation(origin = {-72.6797,75.7881}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  SystemDynamics.Reservoirs.StockD Eingangslager(m0 = 7) annotation(Placement(visible = true, transformation(origin = {-41.9394,75.343}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  SystemDynamics.Flows.ConstantFlow Weg4 annotation(Placement(visible = true, transformation(origin = {-70.2141,4.47371}, extent = {{-1.2,-1.2},{1.2,1.2}}, rotation = 0)));
  SystemDynamics.Reservoirs.Oven Maschine2(capacity = 4, cookingTime = 2) annotation(Placement(visible = true, transformation(origin = {22.8049,4.18188}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  SystemDynamics.Flows.ConstantFlow Weg6 annotation(Placement(visible = true, transformation(origin = {53.4195,4.18455}, extent = {{-1.2,-1.2},{1.2,1.2}}, rotation = 0)));
  SystemDynamics.Reservoirs.StockD Ausgangslager annotation(Placement(visible = true, transformation(origin = {84.4625,4.22854}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  SystemDynamics.Reservoirs.SaturatedStockD Zwischenlager(minLevel = 0) annotation(Placement(visible = true, transformation(origin = {-38.0529,4.54389}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  SystemDynamics.Flows.SwitchedFlow switchedflow1(onValue = 4) annotation(Placement(visible = true, transformation(origin = {-9.1562,75.6913}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  SystemDynamics.Flows.SwitchedFlow switchedflow2(switchValue = 2, onValue = 4) annotation(Placement(visible = true, transformation(origin = {-8.54579,4.5781}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  SystemDynamics.Converters.ConstantConverter constantconverter1(constValue = 2) annotation(Placement(visible = true, transformation(origin = {-98.2238,49.3661}, extent = {{-12,12},{12,-12}}, rotation = -90)));
  SystemDynamics.Converters.SwitchedConverter switchedconverter1(switchValue = 0, onValue = 1, offValue = 2) annotation(Placement(visible = true, transformation(origin = {19.5332,41.5081}, extent = {{12,-12},{-12,12}}, rotation = 90)));
equation
  connect(switchedflow2.in1,switchedconverter1.out1) annotation(Line(points = {{-8.54579,-7.4219},{-8.54579,-16.4812},{1.52603,-16.4812},{1.52603,41.5081},{7.53324,41.5081},{7.53324,41.5081}}));
  connect(switchedflow2.outflow,Maschine2.inflow) annotation(Line(points = {{3.45421,4.5781},{11.2927,4.5781},{11.2927,4.18188},{10.8049,4.18188}}));
  connect(switchedflow2.inflow,Zwischenlager.outflow) annotation(Line(points = {{-20.5458,4.5781},{-25.6374,4.5781},{-25.6374,4.54389},{-26.0529,4.54389}}));
  connect(switchedconverter1.in1,Maschine1.out2) annotation(Line(points = {{31.5332,41.5081},{31.5332,41.5081},{38.1509,41.5081},{38.1509,66.1857},{38.0386,66.1857}}));
  connect(switchedconverter1.out1,switchedflow1.in1) annotation(Line(points = {{7.53324,41.5081},{7.53324,41.5081},{-9.1562,41.5081},{-9.1562,63.6913},{-9.1562,63.6913}}));
  connect(switchedflow1.outflow,Maschine1.inflow) annotation(Line(points = {{2.8438,75.6913},{26.2478,75.6913},{26.2478,75.1857},{26.0386,75.1857}}));
  connect(Eingangslager.outflow,switchedflow1.inflow) annotation(Line(points = {{-29.9394,75.343},{-21.0593,75.343},{-21.0593,75.6913},{-21.1562,75.6913}}));
  connect(Weg4.outflow,Zwischenlager.inflow) annotation(Line(points = {{-58.2141,4.47371},{-49.5506,4.47371},{-49.5506,4.54389},{-50.0529,4.54389}}));
  connect(Weg6.outflow,Ausgangslager.inflow) annotation(Line(points = {{65.4195,4.18455},{72.6433,4.18455},{72.6433,4.22854},{72.4625,4.22854}}));
  connect(Maschine2.outflow,Weg6.inflow) annotation(Line(points = {{34.8049,4.18188},{40.9243,4.18188},{40.9243,4.18455},{41.4195,4.18455}}));
  connect(Weg4.inflow,Band12.outflow) annotation(Line(points = {{-82.2141,4.47371},{-96.5517,4.47371},{-96.5517,18.3818},{116.642,18.3818},{116.642,74.3628},{110.068,74.3628},{110.068,74.5914}}));
  connect(constantconverter1.out,Weg1.in1) annotation(Line(points = {{-86.2238,49.3661},{-86.2238,49.1808},{-72.5746,49.1808},{-72.5746,63.7881},{-72.6797,63.7881}}));
  connect(Weg1.outflow,Eingangslager.inflow) annotation(Line(points = {{-60.6797,75.7881},{-53.7164,75.7881},{-53.7164,75.343},{-53.9394,75.343}}));
  connect(cloudsource1.outflow,Weg1.inflow) annotation(Line(points = {{-92.4776,75.4909},{-84.2687,75.4909},{-84.2687,75.7881},{-84.6797,75.7881}}));
  connect(Weg3.outflow,Band12.inflow) annotation(Line(points = {{77.0817,74.8886},{86.057,74.8886},{86.057,74.5914},{86.0684,74.5914}}));
  connect(Maschine1.outflow,Weg3.inflow) annotation(Line(points = {{50.0386,75.1857},{53.3733,75.1857},{53.3733,74.8886},{53.0817,74.8886}}));
end Bediener1;

